Get hydrated run results
curl --request GET \
--url https://api.aws53.cloud/v1/intent/audiences/{id}/runs/{runId}/results \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aws53.cloud/v1/intent/audiences/{id}/runs/{runId}/results"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aws53.cloud/v1/intent/audiences/{id}/runs/{runId}/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"run": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"audienceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"configHash": "<string>",
"dataDate": "2023-12-25",
"resultKey": "<string>",
"candidateCount": 123,
"resultCount": 123,
"attempts": 123,
"nextAttemptAt": "2023-11-07T05:31:56Z",
"idempotencyKey": "<string>",
"errorCode": "<string>",
"errorMessage": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"cancelledAt": "2023-11-07T05:31:56Z",
"readyEmailSentAt": "2023-11-07T05:31:56Z",
"readyEmailExportId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"readyEmailError": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"results": [
{
"hashedEmail": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"fullName": "<string>",
"businessEmail": "<string>",
"personalEmail": "<string>",
"email": "<string>",
"primaryContactEmail": "<string>",
"phone": "<string>",
"mobilePhone": "<string>",
"directPhone": "<string>",
"personalPhone": "<string>",
"linkedinUrl": "<string>",
"headline": "<string>",
"jobTitle": "<string>",
"roleBucket": "<string>",
"seniority": "<string>",
"department": "<string>",
"profile": {
"profilePidAll": "<string>",
"duplicateProfileCount": 123,
"sourcePriority": 123,
"hemRecordRank": 123,
"isBestProfileForHem": true
},
"company": {
"name": "<string>",
"domain": "<string>",
"linkedinUrl": "<string>",
"domainTld": "<string>",
"industry": "<string>",
"industryGroup": "<string>",
"naics": "<string>",
"sic": "<string>",
"description": "<string>",
"revenueRange": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zip": "<string>"
},
"geo": {
"city": "<string>",
"state": "<string>",
"stateCode": "<string>",
"country": "<string>",
"countryCode": "<string>",
"zip": "<string>",
"region": "<string>"
},
"contact": {
"hasBusinessEmail": true,
"hasPersonalEmail": true,
"hasAnyPhone": true,
"businessEmailStatus": "<string>",
"personalEmailStatus": "<string>",
"phoneStatus": "<string>"
},
"demographics": {
"gender": "<string>",
"ageRange": "<string>",
"incomeRange": "<string>",
"netWorth": "<string>"
},
"role": {
"signals": {}
},
"profileSignals": {},
"companySignals": {},
"geoSignals": {},
"compliance": {},
"source": {},
"siteActivity": {
"alreadyOnSite": true,
"sessions": 123,
"pageviews": 123,
"pixelIds": [
"<string>"
],
"domains": [
"<string>"
],
"firstSeenAt": "2023-11-07T05:31:56Z",
"lastSeenAt": "2023-11-07T05:31:56Z",
"lastLandingPage": "<string>",
"lastReferrerDomain": "<string>",
"lastUtmSource": "<string>",
"lastUtmMedium": "<string>",
"lastUtmCampaign": "<string>"
},
"intent": {
"score": 123,
"topicOverlap": 123,
"matchedTopics": [
{
"topicId": 123,
"topicName": "<string>",
"type": "<string>",
"industry": "<string>",
"category": "<string>"
}
]
}
}
],
"total": 123,
"limit": 123,
"offset": 123
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"request_id": "<string>"
}
}{
"data": {
"run": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"audienceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"configHash": "<string>",
"dataDate": "2023-12-25",
"resultKey": "<string>",
"candidateCount": 123,
"resultCount": 123,
"attempts": 123,
"nextAttemptAt": "2023-11-07T05:31:56Z",
"idempotencyKey": "<string>",
"errorCode": "<string>",
"errorMessage": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"cancelledAt": "2023-11-07T05:31:56Z",
"readyEmailSentAt": "2023-11-07T05:31:56Z",
"readyEmailExportId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"readyEmailError": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"results": [
{
"hashedEmail": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"fullName": "<string>",
"businessEmail": "<string>",
"personalEmail": "<string>",
"email": "<string>",
"primaryContactEmail": "<string>",
"phone": "<string>",
"mobilePhone": "<string>",
"directPhone": "<string>",
"personalPhone": "<string>",
"linkedinUrl": "<string>",
"headline": "<string>",
"jobTitle": "<string>",
"roleBucket": "<string>",
"seniority": "<string>",
"department": "<string>",
"profile": {
"profilePidAll": "<string>",
"duplicateProfileCount": 123,
"sourcePriority": 123,
"hemRecordRank": 123,
"isBestProfileForHem": true
},
"company": {
"name": "<string>",
"domain": "<string>",
"linkedinUrl": "<string>",
"domainTld": "<string>",
"industry": "<string>",
"industryGroup": "<string>",
"naics": "<string>",
"sic": "<string>",
"description": "<string>",
"revenueRange": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zip": "<string>"
},
"geo": {
"city": "<string>",
"state": "<string>",
"stateCode": "<string>",
"country": "<string>",
"countryCode": "<string>",
"zip": "<string>",
"region": "<string>"
},
"contact": {
"hasBusinessEmail": true,
"hasPersonalEmail": true,
"hasAnyPhone": true,
"businessEmailStatus": "<string>",
"personalEmailStatus": "<string>",
"phoneStatus": "<string>"
},
"demographics": {
"gender": "<string>",
"ageRange": "<string>",
"incomeRange": "<string>",
"netWorth": "<string>"
},
"role": {
"signals": {}
},
"profileSignals": {},
"companySignals": {},
"geoSignals": {},
"compliance": {},
"source": {},
"siteActivity": {
"alreadyOnSite": true,
"sessions": 123,
"pageviews": 123,
"pixelIds": [
"<string>"
],
"domains": [
"<string>"
],
"firstSeenAt": "2023-11-07T05:31:56Z",
"lastSeenAt": "2023-11-07T05:31:56Z",
"lastLandingPage": "<string>",
"lastReferrerDomain": "<string>",
"lastUtmSource": "<string>",
"lastUtmMedium": "<string>",
"lastUtmCampaign": "<string>"
},
"intent": {
"score": 123,
"topicOverlap": 123,
"matchedTopics": [
{
"topicId": 123,
"topicName": "<string>",
"type": "<string>",
"industry": "<string>",
"category": "<string>"
}
]
}
}
],
"total": 123,
"limit": 123,
"offset": 123
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"request_id": "<string>"
}
}Audience results
Get hydrated run results
GET
/
v1
/
intent
/
audiences
/
{id}
/
runs
/
{runId}
/
results
Get hydrated run results
Authorizations
bearerAuthapiKeyAuth
Dashboard access token. Send as Authorization: Bearer .
Query Parameters
Required range:
1 <= x <= 500Required range:
x >= 0Was this page helpful?
⌘I